Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCostCulculation.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCostCulculation.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCostCulculation.cs	(revision 352)
@@ -33,6 +33,8 @@
         #endregion
 
         #region 定数
+        
+        #region ----- 共通仮設率計算係数テーブル
         /// <summary>
         /// 共通仮設率計算係数テーブル
         /// 0:区分設定金額
@@ -53,6 +55,52 @@
                                                                     {  5000000.0, 4.86, 5.51, 10.94, -0.0952, 12.40, -0.0952, 12.15, -0.1186, 0.0882 },     // 新営機械設備工事
                                                                     {  3000000.0, 1.73, 4.96,  2.44, -0.0433,  7.02, -0.0433, 12.21, -0.2596, 0.6874 },     // 改修機械設備工事
                                                                 };
+        private enum CommonTempListDef
+        {
+            /// <summary>
+            /// 0:区分設定金額
+            /// </summary>
+            SetAmount = 0,
+            /// <summary>
+            /// 1:区分設定金額以下係数　下限
+            /// </summary>
+            CoefficientLow,
+            /// <summary>
+            /// 2:区分設定金額以下係数　上限
+            /// </summary>
+            CoefficientHigh,
+            /// <summary>
+            /// 3:区分設定金額超係数　　下限
+            /// </summary>
+            CoefficientOverLow,
+            /// <summary>
+            /// 4:区分設定金額超係数　　下限指数
+            /// </summary>
+            CoefficientOverLowIndex,
+            /// <summary>
+            /// 5:区分設定金額超係数　　上限
+            /// </summary>
+            CoefficientOverHigh,
+            /// <summary>
+            /// 6:区分設定金額超係数　　上限指数
+            /// </summary>
+            CoefficientOverHighIndex,
+            /// <summary>
+            /// 7:共通仮設費率係数
+            /// </summary>
+            CommonCoefficient,
+            /// <summary>
+            /// 8:工事費指数
+            /// </summary>
+            ConstrCostsIndex,
+            /// <summary>
+            /// 9:工期指数
+            /// </summary>
+            ConstrTimesIndex,
+        }
+        #endregion
+
+        #region ----- 共通仮設率計算係数テーブル（昇降機設備工事）
         /// <summary>
         /// 共通仮設率計算係数テーブル（昇降機設備工事）
         /// 0:区分設定金額以下
@@ -63,7 +111,9 @@
         /// 5:区分設定金額超係数
         /// </summary>
         private static double[] CommonTempList2 = new double[] { 10000000.0, 3.08, 500000000.0, 7.89, -0.1021, 2.07 };
+        #endregion
 
+        #region ----- 現場管理率計算係数テーブル
         /// <summary>
         /// 現場管理率計算係数テーブル
         /// 0:区分設定金額
@@ -84,6 +134,9 @@
                                                                     {   5000000.0, 17.14, 31.23,  90.67, -0.1956,  165.22, -0.1956, 152.72, -0.3085, 0.4222 },  // 新営機械設備工事
                                                                     {   3000000.0, 15.25, 42.07, 169.65, -0.3009,  467.95, -0.3009, 825.85, -0.5122, 0.6648 },  // 改修機械設備工事
                                                                 };
+        #endregion
+
+        #region ----- 現場管理率計算係数テーブル（昇降機設備工事）
         /// <summary>
         /// 現場管理率計算係数テーブル（昇降機設備工事）
         /// 0:区分設定金額以下
@@ -94,8 +147,9 @@
         /// 5:区分設定金額超係数
         /// </summary>
         private static double[] FieldManageList2 = new double[] { 10000000.0, 3.98, 500000000.0, 15.10, -0.1449, 2.26 };
+        #endregion
 
-
+        #region ----- 一般管理率計算係数テーブル（昇降機設備工事）
         /// <summary>
         /// 一般管理率計算係数テーブル（昇降機設備工事）
         /// 0:区分設定金額以下
@@ -109,11 +163,16 @@
                                                                     { 3000000.0, 11.80, 2000000000.0, 17.286, 1.577, 7.35 },                                        // 電気設備工事
                                                                     { 3000000.0, 11.20, 2000000000.0, 15.741, 1.305, 7.52 }                                         // 電気設備工事
                                                                     };
+        #endregion
+
+        #region ----- 入力単位（千円）
         /// <summary>
         /// 入力単位（千円）
         /// </summary>
         private static double s_InputUnit = 1000.0;
         #endregion
+        
+        #endregion
 
         #region 共通仮設費計算（新営建築工事～回収機械設備工事）
         /// <summary>
@@ -132,19 +191,19 @@
             try
             {
                 // 金額で係数が違う
-                if (ConstValue <= ClsCostCulculation.CommonTempList[ExecNo, 0])
+                if (ConstValue <= ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.SetAmount])
                 {   // 1千万円以下
 
                     // 1千万円で計算する（金額を千円単位にする）
-                    double BaseValue = (ClsCostCulculation.CommonTempList[ExecNo, 0] / s_InputUnit);
+                    double BaseValue = (ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.SetAmount] / s_InputUnit);
                     // 算定値
-                    CalValue = ClsCostCulculation.CommonTempList[ExecNo, 7]
-                            * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, 8])
-                            * System.Math.Pow(ConstTimes, ClsCostCulculation.CommonTempList[ExecNo, 9]);
+                    CalValue = ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CommonCoefficient]
+                            * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.ConstrCostsIndex])
+                            * System.Math.Pow(ConstTimes, ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.ConstrTimesIndex]);
                     // 上限値
-                    HighValue = ClsCostCulculation.CommonTempList[ExecNo, 2];
+                    HighValue = ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CoefficientHigh];
                     // 下限値
-                    LowValue = ClsCostCulculation.CommonTempList[ExecNo, 1];
+                    LowValue = ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CoefficientLow];
                 }
                 else
                 {   // 1千万円超
@@ -151,13 +210,15 @@
                     // 金額を千円単位にする
                     double BaseValue = (ConstValue / s_InputUnit);
                     // 算定値
-                    CalValue = ClsCostCulculation.CommonTempList[ExecNo, 7]
-                            * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, 8])
-                            * System.Math.Pow(ConstTimes, ClsCostCulculation.CommonTempList[ExecNo, 9]);
+                    CalValue = ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CommonCoefficient]
+                            * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.ConstrCostsIndex])
+                            * System.Math.Pow(ConstTimes, ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.ConstrTimesIndex]);
                     // 上限値
-                    HighValue = ClsCostCulculation.CommonTempList[ExecNo, 5] * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, 6]);
+                    HighValue = ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CoefficientOverHigh] 
+                                * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CoefficientOverHighIndex]);
                     // 下限値
-                    LowValue = ClsCostCulculation.CommonTempList[ExecNo, 3] * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, 4]);
+                    LowValue = ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CoefficientOverLow]
+                                * System.Math.Pow(BaseValue, ClsCostCulculation.CommonTempList[ExecNo, (int)CommonTempListDef.CoefficientOverLowIndex]);
                 }
 
                 ExecuteValue = CalValue;
@@ -209,9 +270,9 @@
         }
         #endregion
 
-        #region 現場管理費計算（新営建築工事～回収機械設備工事）
+        #region 現場管理費計算（建築工事（新営）～機械設備工事（改修））
         /// <summary>
-        /// 現場管理費計算（新営建築工事～回収機械設備工事）
+        /// 現場管理費計算（建築工事（新営）～機械設備工事（改修））
         /// </summary>
         /// <param name="ExecNo">計算番号</param>
         /// <param name="ConstValue">直接工事費</param>
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 352)
@@ -129,6 +129,7 @@
             MaterialItem = 128,                 // 128:資材品目マスタ
             SalesConfirm = 129,                 // 129:売上確認
             BankBusinessDay = 130,              // 130:銀行営業日マスタ
+            BudgetCodeSum = 131,                // 131:予算書集計コードマスタ
         }
         #endregion
 
@@ -202,7 +203,6 @@
                                                                                 { (int)ProcessExecuteNo.SafetyPatrol,           "安全パトロール申請"},
                                                                                 { (int)ProcessExecuteNo.ReqSumTotalList,        "手間・通常業者一覧－表示"},
                                                                                 { (int)ProcessExecuteNo.RequestPrintList,       "請求書印刷一覧－表示"},
-
         };
 
         #endregion
@@ -242,6 +242,7 @@
                                                                                 { (int)MaintenanceExecuteNo.MaterialItem,               "資材品目登録"},               // 128
                                                                                 { (int)MaintenanceExecuteNo.SalesConfirm,               "売上順一覧"},                 // 129
                                                                                 { (int)MaintenanceExecuteNo.BankBusinessDay,            "銀行営業日登録"},             // 130
+                                                                                { (int)MaintenanceExecuteNo.BudgetCodeSum,              "予算書集計コード登録" },      // 131
 
                                                                                 };
         #endregion
@@ -670,11 +671,11 @@
                             ProcessExecuteNo_ReqBillingStatus(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.ReqBillingStatInput:                  // 42:請求書状況入力
+                        case (int)ProcessExecuteNo.ReqBillingStatInput:                 // 42:請求書状況入力
                             ProcessExecuteNo_ReqBillingStatInput(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.SafetyPatrol:                         // 43:安全パトロール申請
+                        case (int)ProcessExecuteNo.SafetyPatrol:                        // 43:安全パトロール申請
                             ProcessExecuteNo_SafetyPatrol(m_ProcControlPara[NowPoint]);
                             break;
 
@@ -685,7 +686,7 @@
                             ProcessExecuteNo_RequestPrintList(m_ProcControlPara[NowPoint]);
                             break;
 
-                        #endregion
+                            #endregion
 
                         #region マスタメンテ
                         // ----- マスタメンテ
@@ -779,6 +780,9 @@
                         case (int)MaintenanceExecuteNo.BankBusinessDay:                     // 130:銀行営業日
                             MaintenanceExecuteNo_BBD(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)MaintenanceExecuteNo.BudgetCodeSum:                       // 131:予算書集計コードマスタ
+                            MaintenanceExecuteNo_BudgetSumCode(m_ProcControlPara[NowPoint]);
+                            break;
 
 
                         #endregion
@@ -3711,8 +3715,42 @@
         }
         #endregion
 
+        #region 予算書集計コードマスタ
+        /// <summary>
+        /// 予算書集計コードマスタ
+        /// </summary>
+        public static void MaintenanceExecuteNo_BudgetSumCode(ProcessParameter CurrentPara)
+        {
+            // 
+            FrmBudgetItem frm = new FrmBudgetItem();
+            try
+            {
+                // 起動・編集フラグ
+                int ProcessNo = (int)MaintenanceExecuteNo.BankBusinessDay;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region サブフォーム
         #region 掲示板メッセージ入力
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 352)
@@ -485,6 +485,9 @@
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
+                // 権限ランク取得
+                int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;      // 一般者権限
+
                 // ----- 対象者コードが5桁以下ならば部署コード
                 if (SourceCode < 99999)
                 {
@@ -494,11 +497,15 @@
                         return true;
                     }
 
-                    // アクセス権対象部署の場合はOK
-                    PersonDepartmentMaster FindDepRec = CommonMotions.LoginUserRefDepartment.Find(x => x.DepartmentCode == SourceCode);
-                    if (FindDepRec != null)
+                    // 一般権限者以外は参照部署チェック
+                    if (CommonMotions.LoginUserSecurity.SecRank != CommonDefine.SecurityRankList[NRank].Key)
                     {
-                        if (FindDepRec.DepartmentCode > 0) return true;
+                        // アクセス権対象部署の場合はOK
+                        PersonDepartmentMaster FindDepRec = CommonMotions.LoginUserRefDepartment.Find(x => x.DepartmentCode == SourceCode);
+                        if (FindDepRec != null)
+                        {
+                            if (FindDepRec.DepartmentCode > 0) return true;
+                        }
                     }
 
                     return false;
@@ -517,11 +524,15 @@
                 PersonInChargeMaster PersonRec = new PersonInChargeMaster();
                 if (!PersonDB.SelectAction(strSQL.ToString(), ref PersonRec)) return false;
 
-                // 対象部署所属者はOK
-                PersonDepartmentMaster FindRec = CommonMotions.LoginUserRefDepartment.Find(x => x.DepartmentCode == PersonRec.DepartmentCode);
-                if (FindRec != null)
+                // 一般権限者以外は参照部署チェック
+                if (CommonMotions.LoginUserSecurity.SecRank != CommonDefine.SecurityRankList[NRank].Key)
                 {
-                    if (FindRec.DepartmentCode > 0) return true;
+                    // 対象部署所属者はOK
+                    PersonDepartmentMaster FindRec = CommonMotions.LoginUserRefDepartment.Find(x => x.DepartmentCode == PersonRec.DepartmentCode);
+                    if (FindRec != null)
+                    {
+                        if (FindRec.DepartmentCode > 0) return true;
+                    }
                 }
                     
                 return false;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 352)
@@ -640,16 +640,9 @@
             {
                 bool bRet = false;
 
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    bRet = GetSecurityLevel(CommonMotions.LoginUserData.PersonCode, ref SecCode, ref SecName);
-                }
-                else
-                {
-                    SecCode = CommonMotions.LoginUserSecurity.SecCode;
-                    SecName = CommonMotions.LoginUserSecurity.SecName;
-                    bRet = true;
-                }
+                SecCode = CommonMotions.LoginUserSecurity.SecCode;
+                SecName = CommonMotions.LoginUserSecurity.SecName;
+                bRet = true;
 
                 return bRet;
             }
